Package com.logicaldoc.core.parser

# Class ParsingTimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.logicaldoc.core.parser.ParsingException
com.logicaldoc.core.parser.ParsingTimeoutException

All Implemented Interfaces:
  `Serializable`

public class ParsingTimeoutException extends ParsingException
A parsing error due to timeout

Since:
  8.9.3
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ParsingTimeoutException(String message)`
`ParsingTimeoutException(String message, Throwable cause)`
`ParsingTimeoutException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParsingTimeoutException

public ParsingTimeoutException(String message, Throwable cause)

### ParsingTimeoutException

public ParsingTimeoutException(String message)

### ParsingTimeoutException

public ParsingTimeoutException(Throwable cause)